<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	die("");
}


function pdp_render_download($id, $data, $links, $files, $images, $old_data)
{
	global $locale;

	$down_link = "";
	$old_ver = $old_data['version'];

	if(!empty($old_data['down']) || !empty($old_data['link_extern'])) {
		$down_link = "file.php?did=".$id."&file_id=0";
	} elseif(count($files)) {
		$latest_download = $files[0];
		$down_link = "file.php?did=".$id.""
			."&file_id=".$latest_download['id'];
		$old_ver = $latest_download['ver'];
		$old_size = $latest_download['size'];
	}

	if(!empty($data['pic'])) {
		$pic = $data['pic'];
		$pic_id = 0;
	} elseif(count($images)) {
		$first_pic = $images[0];
		$pic = $first_pic['url'];
		$pic_id = $first_pic['id'];
	} else {
		$pic = "";
	}

	echo "<hr>
<div style='float:right; width:200px; text-align:center;'>
<a href='$down_link' target='_blank' style='text-decoration: none; display: block; font-weight: bold; color: #ffffff; border:1px solid black; padding:5px; background-color:#0a0;'>".$locale['PDP201']."</a>";
	if(!empty($old_size)) {
		echo $locale['PDP029'].":</b> $old_size\n";
	}
	echo "</div>

<span style='font-size:1.5em;'><b>".$data['name']." $old_ver</b></span>
<br>
<span class='small2'>".showdate("longdate", $data['mtime']);
	if($data['user_id']) {
		echo " ".$locale['PDP214']." <a href='profile.php?id="
				.$data['user_id']."'>".$data['user_name']
				."</a></span>";
	}
	echo "
<div style='clear:both;'></div>
<hr>
<div style='width:200px; float:right; margin-left:5px; margin-bottom:5px;'>
<!--begin side details-->
<table cellspacing='1' border='0' width='100%' class='tbl-border'>
<tr>
	<td class='tbl2' colspan='2' align='center'><b>".$locale['PDP053']."</b></td>
</tr>
<tr>
	<td class='tbl1'><b>".$locale['PDP004'].":</b></td>
	<td class='tbl1'>".$data['count']."</td>
</tr>\n";
if(!empty($data['license'])) {
	echo "<tr>
	<td class='tbl1'><b>".$locale['PDP105'].":</b></td>
	<td class='tbl1'>".$data['license']."</td>
</tr>\n";
}
if(!empty($data['copyright'])) {
	echo "<tr>
	<td class='tbl1'><b>".$locale['PDP104'].":</b></td>
	<td class='tbl1'>".$data['copyright']."</td>
</tr>\n";
}
if(!empty($pic)) {
	echo "<tr>
	<td class='tbl1'><b>".$locale['PDP028'].":</b></td>
	<td class='tbl1'><a href='image.php?did=".$id."&amp;pic_id=$pic_id'>"
			.$locale['PDP054']."</a></td>
</tr>";
}
if(!empty($data['homepage'])) {
	echo "<tr>
	<td class='tbl1'><b>".$locale['PDP020'].":</b></td>
	<td class='tbl1'><a href='".$data['homepage']."' target='_blank'>"
		.$locale['PDP054']."</a></td>
</tr>\n";
}
if($data['allow_notify']) {
	if($data['can_subscribe']) {
		$subscribe_action = " (<a href='include/do_did.php?did=".$id
			."&amp;subscibe=";
		if($data['is_subscribing']) {
			$subscribe_action .= "0'>".$locale['PDP060'];
		} else
			$subscribe_action .= "1'>".$locale['PDP059'];
		$subscribe_action .= "</a>)";
	} else {
		$subscribe_action = "";
	}
	echo "<tr>
	<td class='tbl1'><b>".$locale['PDP061'].":</b></td>
	<td class='tbl1'>".$data['subscibers'].$subscribe_action."</td>
</tr>\n";
}
echo "
	</table>
<!--end side details-->
</div>
<div>".$data['desc']."</div>

<div style='clear:both;'></div>\n";


	// report broken downloads
	echo "<hr><div align='right'>";
	if(iPDP_BROKEN) {
		echo "[ <a href='broken.php?did=".$id."'>".$locale['PDP024']
			."</a> ]<br>";
	}
	// edit link
	if(count($links)) {
		echo "<b>".$locale['PDP007'].":</b> [ "
			.implode(" | ", $links)." ]";
	}
	echo "</div>\n";


	// files
	if(count($files)) {
		echo "<p><b>".$locale['PDP200'].":</b><ul>\n";
	}
	foreach($files as $data) {
		echo "<li>"
			.showdate("shortdate", $data['timestamp'])
			." - <b>".$data['ver']." - </b>"
			." <a href='file.php?did=".$id
				."&amp;file_id=".$data['id']."'"
					." title='".$data['url']."'>"
				.trimlink($data['url'], 40)."</a>"
			." (<span class='small2'>".$data['size']." - "
				.$data['desc'].")</span>"
//		."<img src='icons/"
//		.($data['is_external'] ? "external" : "download")
//			.".gif' alt='' border='0'></a> "
			."</li>\n";
	}
	if(count($files)) {
		echo "</ul>\n";
	}
}



function pdp_render_downs(&$downs, $rowstart, $per_page, $count, $link)
{
	global $locale;

	echo "<hr>\n";

	if($count > $per_page) {
		echo makepagenav($rowstart, $per_page, $count, 3, $link);
	}

//	<td class='tbl1' valign='top'>".$data['desc']."</td>
	echo "<p>
<table cellspacing='1' class='tbl-border' width='100%'>
<colgroup>
	<col width='75%'>
	<col width='25%'>
</colgroup>
\n";
	foreach($downs as $data) {
		if($data['is_new']) {
			$new = " <img src='icons/new.gif'"
				." alt='".$locale['PDP003']."'>";
		} else {
			$new = "";
		}

		if($data['votes']) {
			$rating = $locale['PDP205'][intval($data['avg_vote'])]
				." (".$data['votes']." ".$locale['PDP213'].")";
		} else {
			$rating = "-";
		}

		$info = "<table border='0' width='100%'>
<colgroup>
	<col width='1%'>
	<col width='99%'>
</colgroup>\n";
		if($data['user_id']) {
			$info .= "<tr>
	<td><b>".$locale['PDP882'].":</b></td>
	<td><a href='profile.php?id=".$data['user_id']."'>"
		.$data['user_name']."</a></td>
</tr>\n";
		}
		$info .= "<tr>
	<td><b>".$locale['PDP013'].":</b></td>
	<td>".showdate("shortdate", $data['mtime'])."</td>
</tr>
<tr>
	<td><b>".$locale['PDP004'].":</b></td>
	<td>".$data['downloads']."</td>
</tr>
<tr>
	<td><b>".$locale['PDP021'].":</b></td>
	<td>".$data['comments']."</td>
</tr>
<tr>
	<td><b>".$locale['PDP224'].":</b></td>
	<td>".$rating."</td>
</tr>
</table>\n";

		echo "<tr>
	<td class='tbl2' colspan='2'><b><a href='".$data['href']."'>"
		.$data['name']."</a></b>$new</td>
</tr>
<tr>
	<td class='tbl1' valign='top'>".$data['desc']."</td>
	<td class='tbl1' valign='top'>".$info."</td>
</tr>\n";
	}
	echo "</table>\n";

	if($count > $per_page) {
		echo makePageNav($rowstart, $per_page, $count, 3, $link);
	}
}


?>
